> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an invoice position item

> Get an invoice position item.

<sup>Required permissions: `invoice:read`</sup>



## OpenAPI

````yaml get /invoice-position-items/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /invoice-position-items/{id}:
    parameters: []
    get:
      tags:
        - InvoicePositionItem
      summary: Get an invoice position item
      description: |-
        Get an invoice position item.

        <sup>Required permissions: `invoice:read`</sup>
      operationId: getInvoicePositionItem
      parameters:
        - name: id
          in: path
          description: InvoicePositionItem identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: InvoicePositionItem resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoicePositionItem-InvoicePositionDetail'
            text/html:
              schema:
                $ref: '#/components/schemas/InvoicePositionItem-InvoicePositionDetail'
        '404':
          description: Resource not found
      deprecated: false
      security:
        - JWT:
            - invoice:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /invoice-position-items/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    InvoicePositionItem-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/InvoicePositionItemId-InvoicePositionDetail'
        position:
          readOnly: true
          description: >-
            The position of the invoice position item in the invoice. If 0, the
            item will be added at the end of the invoice.
          type:
            - integer
            - 'null'
        quantity:
          $ref: '#/components/schemas/Quantity-InvoicePositionDetail'
          description: The quantity of the invoice position item.
          example: 1
        unit:
          description: The unit of the invoice position item.
          anyOf:
            - $ref: '#/components/schemas/Unit-InvoicePositionDetail'
            - type: 'null'
        unitPrice:
          $ref: '#/components/schemas/MoneyEmbedded-InvoicePositionDetail'
          description: The unit price of the invoice position item.
        netAmount:
          $ref: '#/components/schemas/MoneyEmbedded-InvoicePositionDetail'
          readOnly: true
          description: The net amount of the invoice position item, before discount.
        grossAmount:
          $ref: '#/components/schemas/MoneyEmbedded-InvoicePositionDetail'
          readOnly: true
          description: The gross amount of the invoice position item, after discount.
        taxAmount:
          $ref: '#/components/schemas/MoneyEmbedded-InvoicePositionDetail'
          readOnly: true
          description: The tax amount of the invoice position item, after discount.
        discountAmount:
          $ref: '#/components/schemas/MoneyEmbeddedDefaultNull-InvoicePositionDetail'
          description: The discount amount of the invoice position item.
        discountPercentage:
          description: >-
            The discount percentage of the invoice position item. You can either
            define an amount or a percentage.
          example: 10
          type:
            - string
            - 'null'
        discountFixed:
          $ref: '#/components/schemas/MoneyEmbeddedDefaultNull-InvoicePositionDetail'
          writeOnly: true
          description: The fixed applied discount amount of the invoice position item.
        name:
          description: The description of the invoice position item.
          example: My subscription product
          type: string
        description:
          description: The description of the invoice position item.
          example: '* my subscription product'
          type:
            - string
            - 'null'
        taxGroup:
          $ref: '#/components/schemas/TaxGroup-InvoicePositionDetail'
          description: >-
            The tax group of the invoice position item. Based on the customer
            and tax group, the correct tax rate will be calculated.
        tax:
          readOnly: true
          description: >-
            The tax of the invoice position item, calculated based on the tax
            group.
          anyOf:
            - $ref: '#/components/schemas/Tax-InvoicePositionDetail'
            - type: 'null'
        type:
          description: The type of the invoice position item.
          example: product
          type:
            - string
            - 'null'
          enum:
            - product
            - discount
            - setup
            - dunning_fee
            - invoice
            - null
        parent:
          description: >-
            The parent invoice position item. Positions can be defined in a
            tree, with a maximum depth of two.
          anyOf:
            - $ref: '#/components/schemas/InvoicePositionItem-InvoicePositionDetail'
            - type: 'null'
        group:
          description: >-
            The invoice position item group. Positions can be grouped together
            with a headline, which is shown on the invoice.
          anyOf:
            - $ref: >-
                #/components/schemas/InvoicePositionItemGroup-InvoicePositionDetail
            - type: 'null'
        createdAt:
          readOnly: true
          description: The creation date of the invoice position item.
          example: '2020-01-01T00:00:00+00:00'
          type: string
          format: date-time
        product:
          anyOf:
            - $ref: '#/components/schemas/Product-InvoicePositionDetail'
            - type: 'null'
        subscriptionItem:
          anyOf:
            - $ref: '#/components/schemas/SubscriptionItem-InvoicePositionDetail'
            - type: 'null'
        serviceDateFrom:
          readOnly: true
          description: The service date from of the invoice position item.
          example: '2020-01-01T00:00:00+00:00'
          type:
            - string
            - 'null'
          format: date-time
        serviceDateTo:
          readOnly: true
          description: The service date to of the invoice position item.
          example: '2020-01-01T00:00:00+00:00'
          type:
            - string
            - 'null'
          format: date-time
        isCreditable:
          readOnly: true
          description: If the position can be credited.
          example: true
          type: boolean
        isFullyCredited:
          readOnly: true
          description: If the whole position is credited.
          example: true
          type: boolean
        creditableQuantity:
          $ref: '#/components/schemas/Quantity-InvoicePositionDetail'
          readOnly: true
          description: The quantity that can be credited.
          example: 1
    InvoicePositionItemId-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
    Quantity-InvoicePositionDetail:
      type:
        - number
        - 'null'
      description: A numeric quantity value.
      example: 1
    Unit-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/UnitId-InvoicePositionDetail'
          readOnly: true
        name:
          example: Stück
          type: string
    MoneyEmbedded-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
    MoneyEmbeddedDefaultNull-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
    TaxGroup-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        internalDescription:
          maxLength: 255
          description: The name of the tax group which will be displayed only in the UI
          example: 19%
          type: string
        reverseChargeType:
          description: Defines if reverse charge will be applicated or not
          default: REVERSE_CHARGE
          example: REVERSE_CHARGE
          enum:
            - REVERSE_CHARGE_DEACTIVATED
            - REVERSE_CHARGE
            - REVERSE_CHARGE_INTRA_EU_SUPPLY
        type:
          default: standard
          example: standard
          enum:
            - standard
            - reduced
      required:
        - internalDescription
        - reverseChargeType
        - type
    Tax-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 00000000-0000-0000-0000-000000000000
          type: string
        description:
          maxLength: 255
          description: Some internal description
          example: 19%
          nullable: true
        code:
          description: Some internal code
          example: '19'
          type: string
        rate:
          minimum: 0
          maximum: 100
          description: Tax rate in percent
          example: 19
          type: integer
      required:
        - code
        - rate
    InvoicePositionItemGroup-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          example: ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b
          type: string
        ranking:
          example: 1
          type: integer
        name:
          example: 'Subscription #12345'
          type: string
    Product-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          description: The unique identifier of the product.
          example: ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b
          type: string
        name:
          description: >-
            The name of the product based on the current tenant language. This
            will be displayed on customer communication.
          example: Basic
          type: string
        description:
          description: The description of the product based on the current tenant language.
          example: For small teams.
          type:
            - string
            - 'null'
        type:
          description: |
            The type of the product.
             - `product`: recurring billed product
             - `charge`: one-time billing
             - `plan`: plan specific product, which cannot be used as a normal product. Will be filtered out in any product lists.
          type: string
          enum:
            - product
            - charge
            - plan
        invoiceVisibility:
          description: |
            Defines when the product should be displayed in the invoice.
             - `always`: The product is always displayed in the invoice.
             - `only_if_charged`: The product is only displayed in the invoice if it is charged.
          type: string
          enum:
            - always
            - only_if_charged
        customFields:
          additionalProperties:
            type: string
          type:
            - object
            - 'null'
          example:
            field1: value1
            field2: value2
          description: >-
            Custom fields for the entity. The keys are the field names and the
            values are the field values. They need to be configured under
            \"/custom-fields\" in the API documentation. The input is validated
            against the configuration. For more details see [Custom Fields
            Guide](/guide/tenant/custom-fields)
      required:
        - type
    SubscriptionItem-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9ZQZJZJQZJZJZJZJZJZJZJZ
          type: string
        name:
          readOnly: true
          description: >-
            The name of the item which will be used in the invoice. The name is
            translated based on the customer's locale.
          example: Fitness M
          type: string
        description:
          readOnly: true
          description: >-
            The description of the item which will be used in the invoice. The
            description is translated based on the customer's locale.
          example: Everything included
          type:
            - string
            - 'null'
        furtherInformation:
          readOnly: true
          description: >-
            Further information defines additional information for the item
            which will be displayed in the invoice.
          example: 'Additional agreements: The contract includes a free drink flatrate.'
          type:
            - string
            - 'null'
        status:
          readOnly: true
          description: |-
            The status of the item.

            Possible values:
             * `active`: The item is active and will be billed.
             * `canceled`: The item is canceled and will be billed until the end of the contract.
             * `pending`: The item is pending and will be billed after the contract start.
             * `terminated`: The item is terminated and will not be billed.
          example: active
          enum:
            - active
            - canceled
            - pending
            - terminated
        subscriptionId:
          readOnly: true
          type: string
    UnitId-InvoicePositionDetail:
      type: object
      description: ''
      deprecated: false
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````